const _nota_clave = Symbol('clave');
const _nota_titulo = Symbol('titulo');
const _nota_cuerpo = Symbol('cuerpo');

export class Nota {
        constructor(clave, titulo, cuerpo) {
                this[_nota_clave] = clave;
                this[_nota_titulo] = titulo;
                this[_nota_cuerpo] = cuerpo;
        }

        get clave() { return this[_nota_clave]; }
        get titulo() { return this[_nota_titulo]; }
        set titulo(nuevo) { this[_nota_titulo] = nuevo; }
        get cuerpo() { return this[_nota_cuerpo]; }
        set cuerpo(nuevo) { this[_nota_cuerpo] = nuevo; }
}

export class AlmacenNotasAbs {
        async cerrar() {}
        async create(clave, titulo, cuerpo) {}
        async read(clave) {}
        async update(clave, titulo, cuerpo) {}
        async delete(clave) {}
        async listarClaves() {}
        async contar() {}
}
